--- grass/src.contrib/GMSL/NVIZ2.2/src/interface.h	2000/02/06 15:00:41	1.2
+++ grass/src.contrib/GMSL/NVIZ2.2/src/interface.h	2002/10/11 12:43:35	1.3
@@ -254,7 +254,11 @@
 /* tkBind.c */
 int TkCopyAndGlobalEval(Tcl_Interp *, char *);
 /* tkSend.c */
-char *Tk_SetAppName(Tk_Window, char *);
+#if TK_MAJOR_VERSION==8 && TK_MINOR_VERSION==4
+    CONST char *Tk_SetAppName(Tk_Window, CONST char *);
+#else
+    char *Tk_SetAppName(Tk_Window, char *);
+#endif
 int Tk_SendCmd(ClientData, Tcl_Interp *, int, char **);
 int TkGetInterpNames(Tcl_Interp *, Tk_Window);
 /* tkSend_old.c */
